<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<Style>
    .clockdate-wrapper {
    background-color: #333;
    padding:25px;
    max-width:350px;
    width:100%;
    text-align:center;
    border-radius:5px;
    margin:0 auto;
    margin-top:15%;
}
#clock{
    background-color: #333;
    font-family: sans-serif;
    font-size:60px;
    text-shadow:0px 0px 1px #fff;
    color:#fff;
}


</Style>
<body onload="muestraReloj()">
        <h1>Reloj Digital Online </h1>
        <div id="clockdate">
            <div class="clockdate-wrapper">
              <div id="clock"></div>
              
            </div>
          </div>


    <Script>
/*
Armar un reloj en pantalla que muestre la hora (hora:minutos:segundos)
y se actualice una vez x segundo.
*/
function muestraReloj(){
    var d = new Date();
    console.log(d);
    //Horas
    var horas = d.getHours();
    console.log(horas);
    //Minutos
    var minutos = d.getMinutes();
    console.log(minutos);	
    //Segundos
    var segundos = d.getSeconds();
    console.log(segundos);	
    if(horas < 10) { horas = '0' + horas; }
    if(minutos < 10) { minutos = '0' + minutos; }
    if(segundos < 10) { segundos = '0' + segundos; }
    document.getElementById("clock").innerHTML=horas+" : "+minutos+" : "+segundos
}  
setInterval(muestraReloj, 1000);

    </Script>
</body>
</html>